Release Notes

Support for Kubernetes version 1.14.8

Container Engine for Kubernetes now supports Kubernetes version 1.14.8 in addition to 1.12.7 and 1.13.5. Note the following:

  • To address a recently announced security vulnerability in Kubernetes (CVE-2019-11253), Kubernetes version 1.14.8 has been patched to mitigate the vulnerability associated with this CVE.

  • CoreDNS is now the default DNS-based service discovery add-on (replacing kube-dns). CoreDNS is a general-purpose, authoritative DNS server that provides both backward-compatible and extensible integration with Kubernetes.

  • After 29 January 2020, Container Engine for Kubernetes will cease support for Kubernetes version 1.12.7. As a result, you will no longer be able to:

    • create new clusters running Kubernetes version 1.12.7

    • add new node pools to existing clusters running Kubernetes version 1.12.7

If you currently have existing clusters running Kubernetes version 1.12.7, Oracle strongly recommends you immediately upgrade those clusters to Kubernetes version 1.13.5 or version 1.14.8.

For more information, see About Upgrading Clusters to Newer Kubernetes Versions.